using System.ComponentModel.DataAnnotations;
using System.Dynamic;

namespace netit;

public interface INetSerializeable
{
    public string PacketName(); // basically like a static public string that can be set by implementations of inetserializeable
    static public byte packetIndex;


    static abstract public INetSerializeable deSerialize(byte[] bytes);
    static abstract public byte[] Serialize();
}
